Bug 89063 - Security: konqueror with Secure Socket Layer (https urls) will SEGV
Security: konqueror with Secure Socket Layer (https urls) will SEGV
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
https://pause.perl.org/pause/authenquery
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-16 21:35 EDT by Rob Brown
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-29 10:37:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Brown 2003-04-16 21:35:50 EDT
Description of problem:  
/usr/bin/konqueror either permanently hangs or crashes with a SEGV when trying 
to visit a secure page. 
 
All I did was try to upgrade konqueror to the latest RPM from redhat updates 
by typing "up2date kdebase" on my RedHat 7.3 system.  This upgraded kdebase 
from my stock 3.0.0-10 to version 3.0.3-0.7.2 (along with a few other 
interdependencies).  But ever since then, I could not visit https urls. 
 
So I rolled it back: 
rpm --oldpackage -Uvh kdebase-3.0.0-10.i386.rpm 
 
but STILL the exact same strange crashing and hanging occurred. 
 
So I also rolled back one of the dependencies: 
 
rpm --oldpackage -Uvh kdelibs-3.0.0-10.i386.rpm 
 
And suddenly everything was working again. 
So I assume it is something in kdelibs and not kdebase 
that happened between 3.0.0 and 3.0.3. 
 
Version-Release number of selected component (if applicable): 
kdelibs-3.0.0-10    -- stock redhat 7.3 version works fine. 
kdebase-3.0.3-0.7.2 -- latest from 7.3 updates breaks. 
 
How reproducible: 
Easy 
 
Steps to Reproduce: 
 
1. Install stock RedHat 7.3 
2. konqueror https://pause.perl.org/ 
(pulls up perfectly fine) 
3. up2date kdebase 
4. konqueror https://pause.perl.org/ 
(immedaite SEGV or hangs forever with non-responsive choking) 
5. rpm --oldpackage -Uvh kdebase-3.0.0-10.i386.rpm kdelibs-3.0.0-10.i386.rpm 
6. konqueror https://pause.perl.org/ 
(pulls up perfectly fine again) 
 
Actual results: 
Segmentation fault or hangs. 
 
Expected results: 
View page like normal. 
 
 
Additional info: 
I may have missed another rpm that I should've updated, but I just updated 
barely enough to satisfy the rpm dependencies in order to upgrade kdebase. 
I haven't been able to up2date EVERYTHING to the latest redhat updates to see 
if the problem persists or not.  Any suggestions?
Comment 1 Ngo Than 2003-04-29 10:37:31 EDT
it should be fixed in 3.0.5a, which will be released as errata soon

Note You need to log in before you can comment on or make changes to this bug.